## metview 5.19.1

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.12.0 FATAL_ERROR )

include( ${INCLUDE_CONFIG}-local-config.cmake OPTIONAL )

find_package( ecbuild 3.7 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)
#set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}" )


project( MetviewMiniBundle VERSION 5.19.1 LANGUAGES C CXX )
set(CPACK_PACKAGE_NAME Metview)  # so that the source tarball will have the name 'Metview'


# list all the packages we incorporate into the bundle
set(MV_BUNDLE_PACKAGES METVIEW MARS_CLIENT MIR ATLAS ECKIT)

if(METVIEW_SITE STREQUAL ecmwf )
    list(APPEND MV_BUNDLE_PACKAGES FDB)
endif()

# create a variabe for each package we bundle
foreach (bunpack ${MV_BUNDLE_PACKAGES})
    set(MV_BUNDLE_CONTAINS_${bunpack} 1)
endforeach()


# -------------------------------------------------------------------------------------
# settings which are required across the packages to get a working Metview installation

#general
set(ENABLE_ODB           OFF CACHE BOOL "ODB support")
set(ENABLE_EXPERIMENTAL  OFF CACHE BOOL "Experimental features")
set(ENABLE_FORTRAN       NOT_SET CACHE BOOL "Fortran features")

#mars
set(ECMWF             OFF CACHE BOOL "build the client as for ECMWF")
set(CONFIG_FDB        OFF CACHE BOOL "database configuration to access FDB")
set(ENABLE_UDP_STATS  OFF CACHE BOOL "")
set(ENABLE_MPI        OFF CACHE BOOL "")
set(ENABLE_BUILD_TOOLS  OFF   CACHE BOOL   "")


# if the user did bot supply a value for ENABLE_FORTRAN, then unset it
# (we want to then use the default behaviour, per package)
if(ENABLE_FORTRAN STREQUAL "NOT_SET")
    unset(ENABLE_FORTRAN)
    unset(ENABLE_FORTRAN CACHE)
endif()


# -------------------------------------------------------------------------------------

macro(my_bundle_pkg)
    ecbuild_bundle( ${ARGV} )
endmacro()

include( ecbuild_bundle )

ecbuild_bundle_initialize()

    ecbuild_add_option( FEATURE EXPOSE_SUBPACKAGES
                        DEFAULT OFF
                        DESCRIPTION "Allow separate use of the sub-packages in the bundle")



    # if the installer does not want to expose the sub-packages then we need to:
    # a) change $PREFIX so that everything is installed into a sub-directory
    # b) change the location of the Metview startup script so it's installed
    #    where intended (Metview takes care of this)

    if (NOT ENABLE_EXPOSE_SUBPACKAGES)
        set(ORIGINAL_CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
        set(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib/metview-bundle")
    endif()


    if(MV_BUNDLE_CONTAINS_FDB)
        set( FDB_CONF_FILE /usr/local/apps/fdb/etc/Config )
        list(APPEND MV_BUNDLE_PACKAGES FDB)
        ecbuild_bundle( PROJECT fdb                GIT "ssh://git@git.ecmwf.int/mars/fdb_vintage"    TAG  4.11.0   )
    else()
        set(FDB_DIR "/dummy/path/for/bundle")
    endif()

    my_bundle_pkg( PROJECT eckit        GIT "ssh://git@git.ecmwf.int/ecsdk/eckit"       TAG  1.23.0   )
    my_bundle_pkg( PROJECT atlas        GIT "ssh://git@git.ecmwf.int/atlas/atlas"       TAG  0.33.0   )
    my_bundle_pkg( PROJECT mir          GIT "ssh://git@git.ecmwf.int/mir/mir"           TAG  1.16.5   )
    my_bundle_pkg( PROJECT mars-client  GIT "ssh://git@git.ecmwf.int/mars/mars-client"  TAG  6.33.15  )
    my_bundle_pkg( PROJECT metview      GIT "ssh://git@git.ecmwf.int/metv/metview"      TAG  5.19.1   )

    ecbuild_dont_pack(FILES configure.sh;ecmwf;make-tarball.sh;test-tarball.sh;configure.clang.sh;bamboo)

ecbuild_bundle_finalize()


ecbuild_info("ENABLE_EXPOSE_SUBPACKAGES is ${ENABLE_EXPOSE_SUBPACKAGES}:")
if (ENABLE_EXPOSE_SUBPACKAGES)
    ecbuild_info("All packages in the bundle will be installed at the same level into:")
    ecbuild_info("  ${CMAKE_INSTALL_PREFIX}")
else()
    ecbuild_info("All packages in the bundle will be installed into a sub-directory:")
    ecbuild_info("  ${CMAKE_INSTALL_PREFIX}")
    ecbuild_info ("The Metview startup script will be installed into:")
    ecbuild_info("  ${ORIGINAL_CMAKE_INSTALL_PREFIX}/bin")
endif()

=== metview/CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake
#
#       -DCMAKE_C_COMPILER=gcc
#       -DCMAKE_C_COMPILER=g++
#
#       -DCMAKE_PREFIX_PATH=/path/to/jasper:/path/to/any/package/out/of/place
#       -DBUILD_SHARED_LIBS=OFF
#
#  Metview-specific:
#  -DMETVIEW_SITE=ecmwf | other
#  -DMETVIEW_SCRIPT=name-of-generated-startup-script
#  -DMARS_HOME=/path/to/MARS/home  (requires WITH_MARS=ON)
#  -DMAGICS_PATH=/path/to/magics   (requires WITH_PLOTTING=ON)
#  -DEXTRA_TITLE=extra-title-string
#  -DLOG_DIR=/path/to/dir/for/module/log/files
#  -DODB1_USE_SCRIPT_PATH=/path/to/odb1/use/script

cmake_minimum_required( VERSION 3.12 FATAL_ERROR )

find_package( ecbuild 3.7 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)

 
if(POLICY CMP0025)
  cmake_policy(SET CMP0025 NEW)
endif()


# All executables and scripts apart from the startup script should go into MV_BIN_DIR.
# Users can override by setting METVIEW_INSTALL_EXE_BIN_DIR.
# It should be relative to the root of the install directory.
if(DEFINED METVIEW_INSTALL_EXE_BIN_DIR)
    set(MV_BIN_DIR ${METVIEW_INSTALL_EXE_BIN_DIR})
else()
    set(MV_BIN_DIR bin/metview_bin)
endif()

# set INSTALL_BIN_DIR before calling project()
# so that the installation rpaths are set correctly
set(ORIGINAL_INSTALL_BIN_DIR ${INSTALL_BIN_DIR}) # will restore at the end
set(INSTALL_BIN_DIR "${MV_BIN_DIR}" CACHE PATH "Metview installation directory for executable files")

project(metview VERSION 5.19.1 LANGUAGES C CXX)


set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE OFF)



include( ecbuild_system NO_POLICY_SCOPE )

IF(APPLE)
  SET(MACOSX_RPATH 1)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
  #SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF(APPLE)

ecbuild_requires_macro_version( 1.9 )

#ecbuild_add_cxx11_flags()  # Magics 3 requires C++11/14
set (CMAKE_CXX_STANDARD 17)
set (CMAKE_C_STANDARD 99)

###############################################################################
# some options of this project

option( ENABLE_UI             "enable the user interface"                          ON )
option( ENABLE_PLOTTING       "enable the plotting module"                         ON )
option( ENABLE_MARS           "enable MARS access"                                 OFF )
option( ENABLE_ODB            "enable ODB"                                         OFF )
option( ENABLE_USAGE_LOG      "enable usage logging (only at ECMWF)"               OFF )
option( ENABLE_QT_DEBUG       "enable Qt debugging messages"                       OFF )
option( ENABLE_INPE           "enable INPE modules"                                OFF )
option( ENABLE_URL_DOWNLOAD   "enable downloading of files from URLs"              ON )
option( ENABLE_WEATHER_ROOM   "enable Weather Room plot export (only at ECMWF)"    OFF )
option( ENABLE_SHARE_PLOT     "enable sharing of plots (only at ECMWF)"            OFF )
option( ENABLE_SHARE_TO_GLOBE "enable Globe plot export (only at ECMWF)"           OFF )
option( ENABLE_NETWORK_PROXY  "enable network proxy settings for WMS"              OFF )
option( ENABLE_EXPERIMENTAL   "enable experimental modules"                        OFF )
option( ENABLE_CONTRIB        "enable externally contributed modules"              OFF )
option( ENABLE_METVIEW_FORTRAN "enable modules which use Fortran code"             OFF )
option( ENABLE_METVIEW_DOCS   "enable building of documentation"                   OFF )
option( ENABLE_CODES_UI       "enable building of CodesUI"                         OFF )
option( ENABLE_STVL           "enable STVL access module"                          OFF )
option( ENABLE_STATIONS_DB    "enable database of WMO stations"                    ON )
option( ENABLE_FLEXTRA_TEST   "enable testing FLEXTRA simulations"                 OFF)
option( ENABLE_FLEXPART_TEST  "enable testing FLEXPART simulations"                OFF)
#option( ENABLE_CODE_WEBHELP   "enable inline web help in code editor"              OFF )




###############################################################################


if( ENABLE_METVIEW_FORTRAN )
    ecbuild_enable_fortran( REQUIRED )
    set(HAVE_METVIEW_FORTRAN 1)
endif()


# ensure we can add non-existent dependencies - required for generating icon files
if( ${CMAKE_VERSION} VERSION_GREATER "2.9.9" )
    cmake_policy(SET CMP0046 OLD)
endif()



# if we don't explicitly state that we're at ECMWF, then assume we're not, and use the generic config
if(NOT METVIEW_SITE STREQUAL ecmwf)
    set( SITE_WMO_CODE "255")    # DO WE NEED AN OPTION TO ALLOW INSTALLERS TO SPECIFY THIS?
    set( MV_ENVIRON    "common")
    set( AT_ECMWF "FALSE" )
    ecbuild_info("Building outside ECMWF")
else()
    set( SITE_WMO_CODE "098")
    set( MV_ENVIRON    "ecm_lnx64")
    set( AT_ECMWF "TRUE" )
    add_definitions( -DECMWF )
    ecbuild_info("Building inside ECMWF")
endif()



# default startup script name
if(NOT DEFINED METVIEW_SCRIPT )
    set( METVIEW_SCRIPT "metview" )
endif()

set(FULL_STARTUP_SCRIPT_PATH ${CMAKE_BINARY_DIR}/bin/${METVIEW_SCRIPT})

# ensure we don't build shared libraries
set(BUILD_SHARED_LIBS OFF)


# STVL
if (ENABLE_STVL)
    if(DEFINED MV_STVL_EXE)
        if(NOT EXISTS ${MV_STVL_EXE})
            ecbuild_critical("MV_STVL_EXE: (${MV_STVL_EXE}) defined but does not exist")
        endif()
    else()
        ecbuild_critical("MV_STVL_EXE must be defined if ENABLE_STVL is on")
    endif()
endif()

# Weather Room plot export (ECMWF only)
if(ENABLE_WEATHER_ROOM)
    if(AT_ECMWF)
        find_package( Boost 1.49.0 )            # Weather Room export needs Boost
        set(MV_WEATHER_ROOM_BUILT true)
    else()
        ecbuild_error("ENABLE_WEATHER_ROOM only available when building at ECMWF")
    endif()
else()
    set(MV_WEATHER_ROOM_BUILT false)
endif()

# Globe plot export (ECMWF only)
if(ENABLE_SHARE_TO_GLOBE)
    if(NOT AT_ECMWF)
        ecbuild_error("ENABLE_SHARE_TO_GLOBE only available when building at ECMWF")
    endif()
    if(NOT ENABLE_SHARE_PLOT)
        ecbuild_error("ENABLE_SHARE_TO_GLOBE only available when ENABLE_SHARE_PLOT is enabled")
    endif()
endif()


# Meteogram (ECMWF only, default is ON unless otherwise stated)
if(AT_ECMWF)
    if(NOT DEFINED ENABLE_METEOGRAM)
        set(ENABLE_METEOGRAM "ON")
    endif()
else()
    set(ENABLE_METEOGRAM "OFF")
endif()


if(ENABLE_INPE)
    set(METVIEW_INPE true)
endif()





# ----------------
# look for eccodes 
# ----------------

ecbuild_find_package(NAME eccodes VERSION 2.24.0 REQUIRED)

set( GRIB_API_INCLUDE_DIRS  ${eccodes_INCLUDE_DIRS} )
set( GRIB_API_LIBRARIES     ${eccodes_LIBRARIES} )
set( GRIB_API_DEFINITIONS   ${eccodes_DEFINITIONS} )
set( GRIB_API_TPL_LIBRARIES ${eccodes_TPL_LIBRARIES} )
set( grib_api_BASE_DIR      ${eccodes_BASE_DIR} )
add_definitions(-DGRIB_HANDLING_PACKAGE=ecCodes)



# --------------------
# look for MARS client 
# --------------------

ecbuild_find_package(NAME mars_client VERSION 6.28.6 REQUIRED)
ecbuild_find_package(NAME mir VERSION 1.6.1 REQUIRED)


# for the mars-client itself, RPC is not necessary, but Metview needs it,
# so abort if mars-client could not find it

if (NOT mars_client_HAVE_RPC)
    message( FATAL_ERROR "Could not find RPC libraries. Consider installing rpcgen and libtirpc-devel" )
endif()


set(MARSCLIENT_LIBS "marsclient")


# check which post-processing libraries it found
list(FIND mars_client_FEATURES "PPROC_MIR"  HAVE_PPROC_MIR)
list(FIND mars_client_FEATURES "PPROC_EMOS" HAVE_PPROC_EMOS)
if (HAVE_PPROC_MIR EQUAL -1)
    set(HAVE_PPROC_MIR 0)
else()
    set(HAVE_PPROC_MIR 1)
    list(APPEND MARSCLIENT_LIBS "mir")
endif()
if (HAVE_PPROC_EMOS EQUAL -1)
    set(HAVE_PPROC_EMOS 0)
else()
    set(HAVE_PPROC_EMOS 1)
    ecbuild_find_package(NAME libemos REQUIRED)
    list(APPEND MARSCLIENT_LIBS "emos")
endif()


if( NOT HAVE_PPROC_MIR AND NOT HAVE_PPROC_EMOS  )
    message( FATAL_ERROR "MARS client requires PPROC (for which MIR or EMOSLIB is required)" )
endif()


if(HAVE_PPROC_MIR)
    ecbuild_find_package(NAME eckit VERSION 1.0 REQUIRED)  # for DivRot, which uses eckit directly
endif()

# decide which interpolation library to use by default
if(HAVE_PPROC_MIR)
    set(DEFAULT_INTERP_PACKAGE "MIR")
else()
    set(DEFAULT_INTERP_PACKAGE "EMOS")
endif()




# look for curl because it is needed for the Mars Web API client
find_package(CURL)
if(CURL_FOUND)
    list(APPEND MARSCLIENT_LIBS ${CURL_LIBRARIES})
endif()



# local MARS access
if(ENABLE_MARS)
    set( MARS_ACCESS MARS_local )
    set( METVIEW_MARS 1 )
    if(DEFINED MARS_LOCAL_HOME)
        ecbuild_info("MARS_LOCAL_HOME=${MARS_LOCAL_HOME}")
        if(NOT EXISTS ${MARS_LOCAL_HOME})
            ecbuild_critical("MARS_LOCAL_HOME (${MARS_LOCAL_HOME}) does not exist")
        else()
            set(MARS_HOME ${MARS_LOCAL_HOME})
        endif()
    else()
        ecbuild_critical("If setting local MARS access, -DMARS_LOCAL_HOME=/path/to/mars/home must be provided.")
    endif()

    list(FIND mars_client_FEATURES "ODB" HAVE_MARS_ODB)
    if (HAVE_MARS_ODB EQUAL -1)
        set(ENABLE_MARS_ODB "OFF")
    else()
        set(ENABLE_MARS_ODB "ON")
    endif()
    

    if(ENABLE_MARS_ODB)
        set(ENABLE_ODB 1)
        set(METVIEW_MARS_ODB 1)
    endif()

    #find_library( FDB  REQUIRED )
    #ecbuild_debug("FDB: ${FDB_LIBRARIES}" )

else()
    if(${CURL_FOUND})
        set( MARS_ACCESS MARS_webapi )
    else()
        set( MARS_ACCESS MARS_none )
        add_definitions(-DNOCURL)
        ecbuild_warn("Could not find the Curl library - disabling Web API Mars")
    endif()
endif()


# Network access (download via URLs)
if(ENABLE_URL_DOWNLOAD)
    if(NOT CURL_FOUND)
        ecbuild_critical("URL_DOWNLOAD was enabled, but the 'curl' development package was not found.")
    endif()
endif()



###############################################################################
# local project requirements

# ecbuild_use_package( PROJECT eckit VERSION 0.3 REQUIRED )




#message(FATAL_ERROR "ECCODES_INCLUDE_DIRS ${ECCODES_INCLUDE_DIRS}")


if(ENABLE_ODB)
    ecbuild_find_package(NAME odc    VERSION 1.1.0 REQUIRED)
    if( odc_FOUND )
        set(METVIEW_ODB_API_LIBRARIES odccore)
        set(METVIEW_ODB 1)

        add_definitions(-DMETVIEW_ODB_NEW -DMETVIEW_ODB)
    else()
        if(ENABLE_MARS_ODB)
            ecbuild_critical("ENABLE_ODB was set, but ODB not found")
            set(ENABLE_MARS_ODB 0)
            set(METVIEW_MARS_ODB 0)
        endif()
    endif()

    # ODB-1

    #ecbuild_use_package( PROJECT ODB )
    ecbuild_find_package(NAME odb)

    if(odb_FOUND)
        if(EXISTS ${ODB_PATH}/bin)
            if(EXISTS ${ODB_PATH}/bin/odbsql)
                add_definitions(-DMETVIEW_ODB_OLD)
                set(ENABLE_ODB1 "ON")

                if(ODB1_USE_SCRIPT) # was an ODB-1 use script name passed?
                    set(ODB1_LOAD_ENV "MV_ODB1_USE_SCRIPT=${ODB1_USE_SCRIPT}")
                endif()

                if(ODB1_MODULE) # was an ODB-1 module name passed?
                    set(ODB1_LOAD_ENV "MV_ODB1_MODULE=${ODB1_MODULE}")
                endif()

                if(ODB1_VERSION) # was an ODB-1 module name passed?
                    set(MV_ODB1_VERSION ${ODB1_VERSION})
                else()
                    set(MV_ODB1_VERSION "ANY")
                endif()

            else()
                ecbuild_warn("ODB-1 support is DISABLED - No odbsql script found in ${ODB_PATH}/bin")
            endif()
        else()
            ecbuild_warn("ODB-1 found, but no bin directory in ${ODB_PATH}")
        endif()
    else()
        ecbuild_warn("ODB-1 not found!")
    endif()
endif()


if(ENABLE_PLOTTING)
    #ecbuild_use_package( PROJECT magics VERSION 4.1.0)
    ecbuild_find_package(NAME magics VERSION 4.10.0 REQUIRED)

    if( magics_FOUND )

=== mir/CMakeLists.txt ===
# (C) Copyright 1996- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
#
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation nor
# does it submit to any jurisdiction.


cmake_minimum_required(VERSION 3.14 FATAL_ERROR)

find_package(ecbuild 3.4 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)

project(mir VERSION 1.16.5 LANGUAGES CXX)

set(PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "") # needed for generating .b files for persistent support
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


ecbuild_add_option(FEATURE BUILD_TOOLS        DEFAULT OFF DESCRIPTION "build the command line tools (install)")
ecbuild_add_option(FEATURE MIR_DOWNLOAD_MASKS DEFAULT ON  DESCRIPTION "download LSM files")
ecbuild_add_option(FEATURE NETCDF             DEFAULT ON  DESCRIPTION "support for netCDF" REQUIRED_PACKAGES "NetCDF COMPONENTS C")
ecbuild_add_option(FEATURE PNG                DEFAULT OFF DESCRIPTION "support for PNG encoding" REQUIRED_PACKAGES PNG)
ecbuild_add_option(FEATURE OMP                DEFAULT OFF DESCRIPTION "support for OpenMP shared memory parallelism" REQUIRED_PACKAGES "OpenMP COMPONENTS CXX")

if(NOT TARGET OpenMP::OpenMP_CXX)
    set(mir_HAVE_OMP 0)
endif()

ecbuild_find_package(NAME eccodes VERSION 2.24 REQUIRED)
ecbuild_find_package(NAME eckit   VERSION 1.22 REQUIRED)

ecbuild_add_option(FEATURE ATLAS DEFAULT ON DESCRIPTION "support for Atlas" REQUIRED_PACKAGES "atlas VERSION 0.25")


set(MIR_LIBRARIES mir)

if(HAVE_BUILD_TOOLS)
    set(mir_INSTALL_TOOLS)
else()
    set(mir_INSTALL_TOOLS NOINSTALL)
endif()

include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings

add_subdirectory(src)
add_subdirectory(etc)
add_subdirectory(share)

if(HAVE_TESTS)
    add_subdirectory(tests)
endif()


ecbuild_add_resources(TARGET ${PROJECT_NAME}_top_files SOURCES AUTHORS README NOTICE LICENSE INSTALL COPYING)
ecbuild_install_project(NAME ${PROJECT_NAME})

ecbuild_print_summary()

=== debian/changelog ===
metview (5.19.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:28:05 +0100

metview (5.19.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 May 2023 20:29:18 +0100

metview (5.19.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * B-D on fdb >= 5.11.7-2 for latest rebuild against eckit, etc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Apr 2023 08:26:43 +0100

metview (5.18.0-1) experimental; urgency=medium

  * New upstream release
  * Change B-D libncurses5-dev -> libncurses-dev
  * Update d/copyright removing obsolete files
  * Remove obsolete ecbuild.patch
  * Set *.mv script fragments non-exec

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 11:39:05 +0000

=== debian/control ===
Source: metview
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  ecbuild (>= 3.3.0-2),
  gfortran | fortran-compiler, 
  python3-all-dev,
  flex, 
  bison, 
  libtirpc-dev,
  libncurses-dev,
  libjemalloc-dev,
  libpng-dev,
  libssl-dev,
  libhdf5-dev, 
  liblapack-dev,
  libpango1.0-dev, 
  libmetkit-dev,
  libmetkit-utils,
  fdb5,
  libfdb5-dev (>= 5.11.7-2), 
  odc [!powerpc !armel !armhf !i386 !mipsel],
  libodc-dev [!powerpc !armel !armhf !i386 !mipsel],
  libfftw3-dev,
  libeigen3-dev,
  chrpath, 
  mksh,
  libfckit-dev,
  qt6-base-dev,
  libqt6core5compat6-dev,
  libqt6svg6-dev,
  libvulkan-dev,
  libxkbcommon-dev,
  libemos-dev, libemos-bin,
  libeccodes-dev (>= 2.22.0),
  libeccodes-tools,
  libatlas-ecmwf-dev (>= 0.29.0-2), 
  libatlas-ecmwf-utils,
  libeckit-dev (>= 1.10.1~),
  libboost-dev, libopenjp2-7-dev,
  libmagics++-metview-dev (>= 4.12.1-2), 
  libmagics++-dev (>= 4.12.1-2),
  libxmu-dev, libgdbm-dev, 
  libcurl4-gnutls-dev,
  libcairo2-dev, 
  pkg-config,
  swig, 
  libexpat1-dev,
  libterralib-dev (>= 4.3.0+dfsg.2-8), 
  libproj-dev, libqt5svg5-dev,
  libgd-dev, 
  imagemagick, 
  libnetcdf-dev, libnetcdf-cxx-legacy-dev,
  flextra, 
  flexpart,
  libgeotiff-dev
Standards-Version: 4.6.2
Homepage: https://confluence.ecmwf.int/display/METV/Metview
Vcs-Browser: https://salsa.debian.org:/science-team/metview.git
Vcs-Git: https://salsa.debian.org:/science-team/metview.git

Package: metview
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetview0d (=${binary:Version}),
 x11-utils, metview-data, python3
Recommends: magics++, flextra, flexpart
Description: Interactive data visualization and analysis environment,
 Metview has been designed as a flexible, modular and extendible system 
 able to accommodate the evolving needs of the user. 
 The system is based on the ECMWF standards for graphics (Magics) and 
 data access (MARS) but can also access locally stored data. 
 The user interface is based on Motif and Qt. Metview is a 
 fully distributed system where modules can run on different workstations
 and servers.
 .
 Metview is a cooperative project between ECMWF and INPE/CPTEC, Brazil. 
 ECMWF has also been assisted by a staff member of Météo-France. 

Package: metview-data
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Data needed for the Metview data analysis environment
 Metview has been designed as a flexible, modular and extendible system
 able to accommodate the evolving needs of the user.
 The system is based on the ECMWF standards for graphics (Magics) and
 data access (MARS) but can also access locally stored data.
 The user interface is based on Motif and Qt. Metview is a
 fully distributed system where modules can run on different workstations
 and servers.
 .
 This package provides data files needed for metvieww.

Package: libmetview0d
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: Shared libraries  for MetView
 Metview has been designed as a flexible, modular and extendible system
 able to accommodate the evolving needs of the user.
 The system is based on the ECMWF standards for graphics (Magics) and
 data access (MARS) but can also access locally stored data.
 The user interface is based on Motif and Qt. Metview is a
 fully distributed system where modules can run on different workstations
 and servers.
 .
 This package provides shared libraries and  for  Metview-based software.

Package: libmetview-dev
Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64
Multi-Arch: same
Depends: ${misc:Depends}, libmetview0d (=${binary:Version}), 
 libxxhash-dev, libsnappy-dev, liblz4-dev, libbz2-dev
Section: libdevel
Description: Development files for MetView
 Metview has been designed as a flexible, modular and extendible system
 able to accommodate the evolving needs of the user.
 The system is based on the ECMWF standards for graphics (Magics) and
 data access (MARS) but can also access locally stored data.
 The user interface is based on Motif and Qt. Metview is a
 fully distributed system where modules can run on different workstations
 and servers.
 .
 This package provides static libraries and include files for building
 Metview-based software.
